Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class IncompatibleValueException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.apps.cz.cio.IncompatibleValueException

All Implemented Interfaces:
  java.io.Serializable

public class IncompatibleValueException
extends java.lang.RuntimeException

Signalled if the value of a Runtime node is of a different type than the value tried to get/set for that node.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Method Summary
`oracle.apps.cz.cio.RuntimeNode` | `getModelNode()` Returns the corresponding model node where the mismatch occured

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### getModelNode

    public oracle.apps.cz.cio.RuntimeNode getModelNode()

  Returns the corresponding model node where the mismatch occured
  Returns:
    the failed DbConfigInput object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.